@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:wght@400;500;700&family=Roboto+Slab:wght@400;700&family=Roboto:wght@400;500;700;900&display=swap');

:root {

  /* ======== Spacing ========*/
  /*.25rem = 4px, .5rem = 8px, .75rem = 12px */
  --space-1:.25rem;
  --space-2:.5rem;
  --space-3:0.75rem;
  --space-4: 1rem;
  --space-6: 1.5rem;
  --space-8: 2rem;
  --space-10: 2.5rem;
  --space-12: 3rem;
  --space-14: 3.5rem;
  --space-16: 4rem;
  --space-20: 5rem;

  --margin-desktop: var(--space-12);
  --margin-mobile: var(--space-8);
  --header-height-desktop: 8.5rem;

  /* Border */
  --pixel-1: 0.0625rem;
  --pixel-2: 0.125rem;
  --pixel-3: 0.1875rem;
  --pixel-4: 0.25rem;
  --pixel-5: 0.3125rem;
  --pixel-6: 0.375rem;

  /*z index*/
  --z-tooltip: 10;
  --z-fixed: 100;
  --z-modal: 1000;

  /* ======== Font and typography ========*/
  --font-family: 'Roboto Mono', monospace;

  /* .5rem = 8px, 1rem = 16px, 1.5rem = 24px */
  --font-size-big: 2rem;
  --font-size-h1: 1.5rem;
  --font-size-h2: 1.25rem;
  --font-size-h3: 1.125rem;
  --font-size-normal: 0.938rem;
  --font-size-sm: 0.813rem;
  --font-size-xs: 0.75rem;
}


/* ===== Common Styles ===== */
body {
  margin: 0;
  padding: 0;
  font-family: var(--font-family);
}

a {
  text-decoration: none;
  display: inline;
  color: black;
}
/* ==== Hero section =====*/
.body--fixed {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
}
header {
  display: grid;
  grid-template-rows: repeat(2, 1fr);
  width: 100%;
  height: 8.5rem;
}

header .header__icons-container{
  display: grid;
  width: 100%;
  height: var(--space-12);
  background-color: #47cfac;
}
header .header__icons-container .icons{
  display: flex;
  justify-content: space-between;
  align-items: center;
  /* justify-items: flex-end; */
  justify-self: end;

  width: 18rem;
  height: auto;
  margin-inline-end: var(--margin-desktop);
}

header .icons span {
  color: white;
}

nav {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  height: 5.5rem;
}

nav .nav__logo-container{
  margin-inline-start: var(--margin-desktop);
}
nav .nav__logo-container img{
  width: 14rem;
  margin-block-start: var(--space-2);
}
nav .profile-link{
  display: flex;
  justify-content: flex-end;
  align-items: center;

  margin-inline-end: var(--margin-desktop);
}

nav .profile-link a{
  border-bottom: 1px solid black;
  color: black;
}

.hero-main {
  display: grid;
  grid-template-columns: 1fr 4fr 1fr;
  height: 100%;
  background-image: url('../assets/img/Cover.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

.hero-main section {
  grid-column:2;

  display: grid;
  justify-items: center;

  margin-block-start: 7rem;
  height: 15.5rem ;
}

.hero-title {
  font-family: var(--font-family);
  font-size: var(--font-size-big);
  font-weight: 700;
  letter-spacing: 0.625rem;
  text-align: center;
  color: black;
}

.hero-cta{
  display: flex;
  justify-content: center;
  align-items: center;

  width: 7rem;
  height: var(--space-12);

  font-size: var(--font-size-h3);
  font-weight: 700;
  background: #47cfac;
}


/* ===== Blogs page ===== */

.blogs {
  display: grid;
  margin-inline: auto;
  max-width: 980px;
}
.main-post {
  padding: 0 var(--margin-desktop) var(--space-10);
  background-color: #e9e9ed;
}
.main-post__media {
  display: grid;
  grid-template: 2fr / 2fr 1fr;
}

.main-post__img-container {
  grid-column: 1;
}

.main-post__img-container img {
  width: 85%;
}

.main-post__info {
  grid-column: 2;
}

.main-post__info h2 {
  font-size: var(--font-size-h1);
}

.main-post__info p {
  margin-block-end: var(--space-8);
  font-size: var(--font-size-normal);
}

.post__button {
  padding: var(--space-2) var(--space-4);
  font-size: var(--font-size-xs);
  border: var(--pixel-1) solid #47cfac;
}


.blog-posts {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-content: center;
  align-items: center;
  row-gap: var(--space-12);
  column-gap: var(--space-3);

  margin: 0 var(--margin-desktop) var(--space-10);

}

.blog-posts h3 {
  grid-column: 1/4;
  padding-block-end: var(--space-6);
  
  font-size: var(--font-size-h3);
  text-align: center;
  border-bottom: var(--pixel-1) solid #cdd2da;
}


.blog-posts__post p{
  margin-block-end: var(--space-8);
}

.blog-posts__post img{
  width: 100%;
}

footer {
  width: 100%;
  height: var(--space-20);

  border-top: var(--space-8) solid #47cfac;
  text-align: center;
  background-color: #22272d;
}

footer p {
  margin-block-start: var(--space-8);
  color: white;
}

/* ===== Blog Post page ===== */
.blogpost {
  margin-inline: auto;
  padding: 0 var(--margin-desktop) var(--space-10);
  max-width: 980px;
}
.blogpost__media {
  margin: 0;
}
.blogpost__media img{
  width: 100%;
}

.blogpost__info h3 {
  padding-block-end: var(--space-6);
  border-block-end: var(--pixel-1) solid #cdd2da;
}

.blogpost__info article h1 {
  font-size: var(--font-size-big);
}


.contact {
  padding-block-end: var(--space-12);
  width: 100%;
  min-height: 15.5rem;
  text-align: center;
  background-color: #e6e9ed;
}

.contact div {
  display: inline-block;
  width: 49.5%;
  height: 100%;
}


.contact div a {
  padding-block-end: var(--pixel-5);
  border-inline-end: --pixel-1 solid black;
}
.contact__info-left, .contact__info-right {
  margin-block-start: 5.5rem;
  text-align: initial;
}

.contact img {
  width: 6.25rem;
}